List Contacts

Contacts are the people your workspace interacts with. A contact can be linked to platform identities (channels) and carry custom field values. Contacts can be scoped to a profile.

The contact object

{
  "id": "con_7hN...",
  "profile_id": "pro_9aB...",
  "name": "Jane Doe",
  "email": "jane@example.com",
  "company": "Acme",
  "tags": ["vip"],
  "notes": "Met at conference",
  "subscribed": true,
  "blocked": false,
  "created_at": "2026-07-12T10:00:00.000Z",
  "updated_at": "2026-07-12T10:00:00.000Z"
}
GET/v1/contacts

Filter with ?profile_id=, ?search= (name or email), or ?tag=.

GET /v1/contacts
curl "https://api.socialit.com/v1/contacts?search=jane" \
  -H "Authorization: Bearer sk_live_..."
{
  "contacts": [
    {
      "id": "con_7hN...",
      "profile_id": "pro_9aB...",
      "name": "Jane Doe",
      "email": "jane@example.com",
      "company": "Acme",
      "tags": [
        "vip"
      ],
      "notes": "Met at conference",
      "subscribed": true,
      "blocked": false,
      "created_at": "2026-07-12T10:00:00.000Z",
      "updated_at": "2026-07-12T10:00:00.000Z"
    }
  ]
}

Create Contact

POST/v1/contacts

Body parameters

FieldTypeNotes
namestringRequired
profile_idstringOptional
email, company, notesstringOptional
tagsarrayOptional
platform + platform_identifierstringOptionally attach a channel
POST /v1/contacts
curl -X POST https://api.socialit.com/v1/contacts \
  -H "Authorization: Bearer sk_live_..." \
  -H "Content-Type: application/json" \
  -d '{ "name": "Jane Doe", "email": "jane@example.com", "tags": ["vip"] }'
{
  "contact": {
    "id": "con_7hN...",
    "profile_id": "pro_9aB...",
    "name": "Jane Doe",
    "email": "jane@example.com",
    "company": "Acme",
    "tags": [
      "vip"
    ],
    "notes": "Met at conference",
    "subscribed": true,
    "blocked": false,
    "created_at": "2026-07-12T10:00:00.000Z",
    "updated_at": "2026-07-12T10:00:00.000Z"
  }
}

Get Contact

GET/v1/contacts/:id

Includes custom field values.

GET /v1/contacts/:id
curl https://api.socialit.com/v1/contacts/con_7hN... \
  -H "Authorization: Bearer sk_live_..."
{
  "contact": {
    "id": "con_7hN...",
    "profile_id": "pro_9aB...",
    "name": "Jane Doe",
    "email": "jane@example.com",
    "company": "Acme",
    "tags": [
      "vip"
    ],
    "notes": "Met at conference",
    "subscribed": true,
    "blocked": false,
    "created_at": "2026-07-12T10:00:00.000Z",
    "updated_at": "2026-07-12T10:00:00.000Z"
  }
}

Update Contact

PATCH/v1/contacts/:id
PATCH /v1/contacts/:id
curl -X PATCH https://api.socialit.com/v1/contacts/con_7hN... \
  -H "Authorization: Bearer sk_live_..." \
  -H "Content-Type: application/json" \
  -d '{ "company": "Acme Inc", "tags": ["vip", "partner"] }'
{
  "contact": {
    "id": "con_7hN...",
    "profile_id": "pro_9aB...",
    "name": "Jane Doe",
    "email": "jane@example.com",
    "company": "Acme",
    "tags": [
      "vip"
    ],
    "notes": "Met at conference",
    "subscribed": true,
    "blocked": false,
    "created_at": "2026-07-12T10:00:00.000Z",
    "updated_at": "2026-07-12T10:00:00.000Z"
  }
}

Delete Contact

DELETE/v1/contacts/:id
DELETE /v1/contacts/:id
curl -X DELETE https://api.socialit.com/v1/contacts/con_7hN... \
  -H "Authorization: Bearer sk_live_..."
{ "ok": true }

List Channels

GET/v1/contacts/:id/channels
GET /v1/contacts/:id/channels
curl https://api.socialit.com/v1/contacts/con_7hN.../channels \
  -H "Authorization: Bearer sk_live_..."
{ "channels": [ { "id": "ch_...", "platform": "instagram", "external_id": "178...", "display": "@jane" } ] }

Set Custom Field

PUT/v1/contacts/:id/fields/:slug

Set a custom field value by its slug.

PUT /v1/contacts/:id/fields/:slug
curl -X PUT https://api.socialit.com/v1/contacts/con_7hN.../fields/plan \
  -H "Authorization: Bearer sk_live_..." \
  -H "Content-Type: application/json" \
  -d '{ "value": "pro" }'
{ "ok": true }